% udělej měření kdy se jen kývá jedno kyvadlo. Máš vědět hmotnosti ramen,
% délky a vzdálenosti k těžišti. Nafituj řádově tlumení b, pak dolaď podle
% frekvence moment setrvačnosti I a pak zkus nějak tipnout b.
tic
n=1; %cislo kyvadla, 1=prvni, 2=druhe
run ../../parametry.m
dt=0.001;
file='identifikace1000.mat';
load(file);
if file=='identifikace1001.mat'
    t0=3.58;
elseif file=='identifikace1000.mat'
    t0=3.85;
elseif file=='identifikace1002.mat'
    t0=1.56;
elseif file=='identifikace1003.mat'
    t0=0.67;
elseif file=='identifikace1004.mat'
    t0=4.25;
else
    t0=0;
end
graf1.signals(2).values=graf1.signals(2).values+0.0;
close all
% for i=1:3
%     subplot(1,3,i)
%     plot(graf1.time,graf1.signals(i).values)
% end

%%

%% 
%naladene parametry pri suchem treni
m0=1.5902;
b0s=3.1715;
b0c=2.6134;

%naladene paramerty bez sucheho treni
b0s=0;
b0c=7.5672;

f0=0;
run ../../vypocty.m

data=graf1.signals(2).values(graf1.time>t0)*2;
dataout=graf1.signals(1).values(graf1.time>t0);
time=graf1.time(graf1.time>t0)-t0;

simout = timeseries(-4*data, time); %prvni kyvadlo
simoutout=timeseries(dataout,time);

dth0i=(dataout(20)-dataout(1))/20;
th0i=dataout(1)/1000;
%%
%run doublePendulumSim_model_verify.slx
sim CartSim_model_verify_2015b.slx